

%define name slang
%define version 1.4.9
%define docversion 1.4.8
%define release %mkrel 12

%define major 1
%define	lib_name	%mklibname %{name} %{major}
%define	lib_name_devel	%mklibname %{name}-devel

Summary: The shared library for the S-Lang extension language.
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: System/Libraries
Source: ftp://space.mit.edu/pub/davis/slang/slang-%{version}.tar.bz2
Source1: ftp://space.mit.edu/pub/davis/slang/slang-%{docversion}-doc.tar.bz2
Source2: README.UTF-8
Patch1: slang-debian-utf8.patch.bz2
Patch2: slang-utf8-acs.patch.bz2
Patch3: slang-utf8-fix.patch.bz2
Patch4: slang-utf8-revert_soname.patch.bz2
Patch5: slang-1.4.9-offbyone.patch.bz2
Patch12: slang-1.4.5-utf8-segv.patch
Patch14: slang-1.4.9-gcc4.patch
Url: ftp://space.mit.edu/pub/davis/slang/
Buildroot: %{_tmppath}/slang-root
Requires:   	glibc >= 2.10.1
Requires:   	libstdc++6 >= 4.4.1
Obsoletes:  	%name < %version


%define _requires_exceptions ld-linux.so.2(GLIBC_PRIVATE)

%description
S-Lang is an interpreted language and a programming library.  The
S-Lang language was designed so that it can be easily embedded into
a program to provide the program with a powerful extension language.
The S-Lang library, provided in this package, provides the S-Lang
extension language.  S-Lang's syntax resembles C, which makes it easy
to recode S-Lang procedures in C if you need to.

%package -n %{lib_name}
Summary: The shared library for the S-Lang extension language.
Group: System/Libraries
Provides: slang
Obsoletes: slang

%description -n %{lib_name}
S-Lang is an interpreted language and a programming library.  The
S-Lang language was designed so that it can be easily embedded into
a program to provide the program with a powerful extension language.
The S-Lang library, provided in this package, provides the S-Lang
extension language.  S-Lang's syntax resembles C, which makes it easy
to recode S-Lang procedures in C if you need to.


%package -n %{lib_name_devel}
Summary: The static library and header files for development using S-Lang.
Group: Development/C
Provides: lib%{name}-devel slang-devel
Obsoletes: slang-devel
Requires: %{lib_name} = %{version}
Obsoletes: libslang1-devel

%description -n %{lib_name_devel}
This package contains the S-Lang extension language static libraries
and header files which you'll need if you want to develop S-Lang based
applications.  Documentation which may help you write S-Lang based
applications is also included.

Install the slang-devel package if you want to develop applications
based on the S-Lang extension language.

%package doc
Version: %{docversion}
Summary: Extra documentation for slang libraries
Group: Books/Computer books

%description doc
This package contains documentation about S-Lang.
S-Lang is an interpreted language and a programming library.  The
S-Lang language was designed so that it can be easily embedded into
a program to provide the program with a powerful extension language.
The S-Lang library, provided in this package, provides the S-Lang
extension language.  S-Lang's syntax resembles C, which makes it easy
to recode S-Lang procedures in C if you need to.



%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1 -b .revert_soname
%patch5 -p1 -b .offbyone

%patch12 -p1 -b .segv
%patch14 -p1 -b .gcc4

cp %{SOURCE2} .

%build
./configure --prefix=/usr --includedir=%{_includedir}/slang

#(peroyvind) passing this to configure does'nt work..
%make ELF_CFLAGS="$RPM_OPT_FLAGS -fno-strength-reduce -fPIC" elf
%make all
cd doc && tar xjvf %{SOURCE1}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_includedir}/slang
make	prefix=$RPM_BUILD_ROOT%{_prefix} \
	install_lib_dir=$RPM_BUILD_ROOT%{_libdir} \
	install_include_dir=$RPM_BUILD_ROOT%{_includedir}/slang \
	install-elf install

ln -sf lib%{name}.so.%{version} $RPM_BUILD_ROOT%{_libdir}/lib%{name}.so.%{major}

rm -f doc/doc/tm/tools/`arch`objs doc/doc/tm/tools/solarisobjs

# Remove unpackages files
rm -rf	$RPM_BUILD_ROOT/usr/doc/slang/COPYING \
	$RPM_BUILD_ROOT/usr/doc/slang/COPYING.ART \
	$RPM_BUILD_ROOT/usr/doc/slang/COPYING.GPL \
	$RPM_BUILD_ROOT/usr/doc/slang/COPYRIGHT \
	$RPM_BUILD_ROOT/usr/doc/slang/changes.txt \
	$RPM_BUILD_ROOT/usr/doc/slang/cref.txt \
	$RPM_BUILD_ROOT/usr/doc/slang/cslang.txt \
	$RPM_BUILD_ROOT/usr/doc/slang/slang.txt \
	$RPM_BUILD_ROOT/usr/doc/slang/slangdoc.html \
	$RPM_BUILD_ROOT/usr/doc/slang/slangfun.txt

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name}
/sbin/ldconfig

%postun -n %{lib_name}
/sbin/ldconfig

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/libslang.so.*

%files -n %{lib_name_devel}
%defattr(-,root,root)
%{_libdir}/libslang.a
%{_libdir}/libslang.so
%dir %{_includedir}/slang/
%{_includedir}/slang/*.h

%files doc
%defattr(-,root,root)
%doc doc COPYING COPYRIGHT README README.UTF-8 changes.txt NEWS 

%changelog
* Mon Dec 07 2009 Texstar <texstar at gmail.com> 1.4.9-12-pclos2010
- remove obsolete slang2

* Mon Dec 07 2009 Texstar <texstar at gmail.com> 1.4.9-11-pclos2010
- remove obsolete slang2

* Tue Nov 02 2009 Texstar <texstar at gmail.com> 1.4.9-10-pclos2010
- gcc update

* Mon Nov 06 2006 Bart the Build Bot <bartbot at pclinuxos dot com> 1.4.9-9pclos2007
- Build for PCLinuxOS 2007

